ListOrganizationMembers

GET/auth/v1/memberships/{user.org_id}/members

Path Parameters

user.org_id*org_id

The user.org_id path parameter.

Query Parameters

limit?limit

The limit query parameter.

Formatint32
offset?offset

The offset query parameter.

Formatint32

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/auth.v1.ListOrgMembersResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "members": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/auth.v1.OrgMember",
          "$ref-value": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "title": "id"
              },
              "user_id": {
                "type": "string",
                "title": "user_id"
              },
              "org_id": {
                "type": "string",
                "title": "org_id"
              },
              "role": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/auth.v1.MembershipRole",
                    "$ref-value": {
                      "type": "string",
                      "title": "MembershipRole",
                      "enum": [
                        "MEMBERSHIP_ROLE_UNSPECIFIED",
                        "MEMBERSHIP_ROLE_OWNER",
                        "MEMBERSHIP_ROLE_ADMIN",
                        "MEMBERSHIP_ROLE_MEMBER"
                      ]
                    }
                  }
                ],
                "title": "role"
              },
              "state": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/auth.v1.MembershipState",
                    "$ref-value": {
                      "type": "string",
                      "title": "MembershipState",
                      "enum": [
                        "MEMBERSHIP_STATE_UNSPECIFIED",
                        "MEMBERSHIP_STATE_ACTIVE",
                        "MEMBERSHIP_STATE_SUSPENDED",
                        "MEMBERSHIP_STATE_LEFT",
                        "MEMBERSHIP_STATE_REMOVED"
                      ]
                    }
                  }
                ],
                "title": "state"
              },
              "username": {
                "type": "string",
                "title": "username"
              },
              "first_name": {
                "type": "string",
                "title": "first_name"
              },
              "last_name": {
                "type": "string",
                "title": "last_name"
              },
              "invitation_expires_at": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/google.protobuf.Timestamp",
                    "$ref-value": {
                      "type": "string",
                      "examples": [
                        "2023-01-15T01:30:15.01Z",
                        "2024-12-25T12:00:00Z"
                      ],
                      "format": "date-time",
                      "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                    }
                  }
                ],
                "title": "invitation_expires_at"
              },
              "joined_at": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/google.protobuf.Timestamp",
                    "$ref-value": {
                      "type": "string",
                      "examples": [
                        "2023-01-15T01:30:15.01Z",
                        "2024-12-25T12:00:00Z"
                      ],
                      "format": "date-time",
                      "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                    }
                  }
                ],
                "title": "joined_at"
              }
            },
            "title": "OrgMember",
            "additionalProperties": false
          }
        },
        "title": "members"
      }
    },
    "title": "ListOrgMembersResponse",
    "additionalProperties": false
  }
}
curl -X GET "https://api.rixl.com/auth/v1/memberships/string/members"

Success

application/json

{
  "$ref": "#/components/schemas/auth.v1.ListOrgMembersResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "members": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/auth.v1.OrgMember",
          "$ref-value": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "title": "id"
              },
              "user_id": {
                "type": "string",
                "title": "user_id"
              },
              "org_id": {
                "type": "string",
                "title": "org_id"
              },
              "role": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/auth.v1.MembershipRole",
                    "$ref-value": {
                      "type": "string",
                      "title": "MembershipRole",
                      "enum": [
                        "MEMBERSHIP_ROLE_UNSPECIFIED",
                        "MEMBERSHIP_ROLE_OWNER",
                        "MEMBERSHIP_ROLE_ADMIN",
                        "MEMBERSHIP_ROLE_MEMBER"
                      ]
                    }
                  }
                ],
                "title": "role"
              },
              "state": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/auth.v1.MembershipState",
                    "$ref-value": {
                      "type": "string",
                      "title": "MembershipState",
                      "enum": [
                        "MEMBERSHIP_STATE_UNSPECIFIED",
                        "MEMBERSHIP_STATE_ACTIVE",
                        "MEMBERSHIP_STATE_SUSPENDED",
                        "MEMBERSHIP_STATE_LEFT",
                        "MEMBERSHIP_STATE_REMOVED"
                      ]
                    }
                  }
                ],
                "title": "state"
              },
              "username": {
                "type": "string",
                "title": "username"
              },
              "first_name": {
                "type": "string",
                "title": "first_name"
              },
              "last_name": {
                "type": "string",
                "title": "last_name"
              },
              "invitation_expires_at": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/google.protobuf.Timestamp",
                    "$ref-value": {
                      "type": "string",
                      "examples": [
                        "2023-01-15T01:30:15.01Z",
                        "2024-12-25T12:00:00Z"
                      ],
                      "format": "date-time",
                      "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                    }
                  }
                ],
                "title": "invitation_expires_at"
              },
              "joined_at": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/google.protobuf.Timestamp",
                    "$ref-value": {
                      "type": "string",
                      "examples": [
                        "2023-01-15T01:30:15.01Z",
                        "2024-12-25T12:00:00Z"
                      ],
                      "format": "date-time",
                      "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                    }
                  }
                ],
                "title": "joined_at"
              }
            },
            "title": "OrgMember",
            "additionalProperties": false
          }
        },
        "title": "members"
      }
    },
    "title": "ListOrgMembersResponse",
    "additionalProperties": false
  }
}